osapi.jive.corev3.places.Settings

Settings represent options that a place admin may manipulate to affect the presentation of a place. Currently options for Activity and Overview tab visibility are supported. An example JSON representation looks like this:

 {
     "activityTab": true,
     "overviewTab": false,
     "defaultTab": "activityTab",
     "headerSettings" : {
          "bgPresetImageUrl" : "",
          "bgRepeat" : "repeat",
          "bgPosition" : "left top",
          "bgType" : "preset",
          "staticResourcesEnabled" : false
      }
 }

Note that one or both of activityTab or overviewTab must be true and the value for defaultTab must be either "activityTab" or "overviewTab"

.

Properties

PropertyTypeMode †Description
activityTabBooleanrequired↑
Enables or disables the Activity tab in Groups, Spaces, and Projects.
defaultTabStringrequired↑
A user visiting a place is directed first to either the Activity tab or the Overview tab. This setting determines which.
headerSettingsHeaderSettingsoptional↑

An object representing the visual characteristics of the header banner applied to a place.Since: 3.9

idStringread-only↑

Identifier (unique within an object type and Jive instance) of this object.

overviewTabBooleanrequired↑
Enables or disables the Overview tab in Groups, Spaces, and Projects.
placeStringread-only↑

URI of the place where this category belongs.

resourcesObjectread-only↑

Resource links (and related permissions for the requesting person) relevant to this object.

†
→ Fields used by update and create operations
→ Fields used only by create operations
→ Fields not used by update or create operations

Methods

↑
get()
GET /places/1234/settings

Retrieves

Settings

Description

Return currently applied settings.

Retrieves:
  • Settings representing applied settings
  • ↑
    toURI()

    Retrieves

    String

    Description

    Retrieves:
  • A URI representing this entity, or undefined if no such URI exists.
  • ↑
    update(options)
    PUT /places/1234/settings

    Retrieves

    Settings

    Description

    Update settings.

    Retrieves:
  • Settings representing the updated settings